Bug 1044246 (CVE-2013-6444)

Summary: CVE-2013-6444 pywbem: failure to check certificate hostname
Product: [Other] Security Response Reporter: Murray McAllister <mmcallis>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: fweimer, jkurik, jrusnack, jsafrane, pfrields, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20131217,reported=20131212,source=redhat,cvss2=5.8/AV:N/AC:M/Au:N/C:P/I:P/A:N,fedora-all/pywbem=affected,epel-5/pywbem=affected,rhel-6/pywbem=wontfix,rhel-7/pywbem=wontfix,cwe=CWE-297
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-20 17:48:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1026891, 1041548, 1065357, 1065358, 1065359, 1121049    
Bug Blocks: 1039805    
Attachments:
Description Flags
Final fix none

Description Murray McAllister 2013-12-18 01:14:42 UTC
It was found that PyWBEM, a Python library for making CIM (Common Information Model) operations over HTTP using the WBEM CIM-XML protocol, failed to verify the URI matches the Subject of the certificate. This could allow a man-in-the-middle attacker to spoof an SSL server if they had a certificate that was valid for any domain name.

Comment 2 Murray McAllister 2013-12-19 02:20:12 UTC
Acknowledgements:

This issue was discovered by Florian Weimer and Stephen Gallagher of Red Hat.

Comment 3 Murray McAllister 2013-12-19 02:29:28 UTC
Public now via a Fedora build. Note that the fix there may not be the correct one. Refer to http://seclists.org/oss-sec/2013/q4/524 for further details.

Comment 4 Murray McAllister 2014-01-16 23:55:53 UTC
Created attachment 851358 [details]
Final fix

Final fix. This patch corrects CVE-2013-6418 (bug 1039801) and CVE-2013-6444 (bug 1044246)

Comment 5 Tomas Hoger 2014-01-17 08:15:27 UTC
(In reply to Murray McAllister from comment #4)
> Created attachment 851358 [details]
> Final fix

Can you note the source?  E.g. upstream source repository commit link.

Comment 6 Murray McAllister 2014-01-21 00:00:42 UTC
(In reply to Murray McAllister from comment #4)
> Created attachment 851358 [details]
> Final fix
> 
> Final fix. This patch corrects CVE-2013-6418 (bug 1039801) and CVE-2013-6444
> (bug 1044246)

Upstream commit:

http://sourceforge.net/p/pywbem/code/627/

Comment 7 Murray McAllister 2014-01-21 11:03:44 UTC
> Upstream commit:
> 
> http://sourceforge.net/p/pywbem/code/627/

This one is also needed:

http://sourceforge.net/p/pywbem/code/622/

Comment 9 Stefan Cornelius 2014-02-14 13:19:19 UTC
Created pywbem tracking bugs for this issue:

Affects: epel-5 [bug 1065357]

Comment 12 Vincent Danen 2015-01-20 17:47:46 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.